package com.qmth.distributed.print.business.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.distributed.print.business.bean.marking.ClassMarker;
import com.qmth.distributed.print.business.entity.ExamPaperClassMarker;
import com.qmth.distributed.print.business.entity.ExamPaperStructure;

import java.util.List;

/**
 * @Description: 班级和评卷员关系实现类
 */
public interface ExamPaperClassMarkerService extends IService<ExamPaperClassMarker> {
    void saveExamPaperClassInfo(ExamPaperStructure examPaperStructure, Boolean openClassReading, List<ClassMarker> classInfo);

    void deleteExamPaperClassInfo(Long paperStructureId);

    List<ExamPaperClassMarker> listByExamPaperStructureId(Long id);
}
