package com.qmth.teachcloud.mark.dto.mark.score;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;

import java.util.List;

public class StudentScoreDetailDto {

    @JsonSerialize(using = ToStringSerializer.class)
    private Long studentId;
    @JsonSerialize(using = ToStringSerializer.class)
    private Long examId;
    private String courseCode;
    private String courseName;
    private String paperNumber;
    private String studentName;
    private String studentCode;
    private String secretNumber;
    private String college;
    private String className;
    private String objectiveScoreString;
    private String subjectiveScoreString;
    private String totalScoreString;
    private String subjectiveScoreList;
    private String checkUserId;
    private String checkUserLoginName;
    private String checkUserName;
    private Long checkTime;
    private List<SheetUrlDto> sheetUrls;

    public Long getStudentId() {
        return studentId;
    }

    public void setStudentId(Long studentId) {
        this.studentId = studentId;
    }

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getPaperNumber() {
        return paperNumber;
    }

    public void setPaperNumber(String paperNumber) {
        this.paperNumber = paperNumber;
    }

    public String getStudentName() {
        return studentName;
    }

    public void setStudentName(String studentName) {
        this.studentName = studentName;
    }

    public String getStudentCode() {
        return studentCode;
    }

    public void setStudentCode(String studentCode) {
        this.studentCode = studentCode;
    }

    public String getSecretNumber() {
        return secretNumber;
    }

    public void setSecretNumber(String secretNumber) {
        this.secretNumber = secretNumber;
    }

    public String getCollege() {
        return college;
    }

    public void setCollege(String college) {
        this.college = college;
    }

    public String getClassName() {
        return className;
    }

    public void setClassName(String className) {
        this.className = className;
    }

    public String getObjectiveScoreString() {
        return objectiveScoreString;
    }

    public void setObjectiveScoreString(String objectiveScoreString) {
        this.objectiveScoreString = objectiveScoreString;
    }

    public String getSubjectiveScoreString() {
        return subjectiveScoreString;
    }

    public void setSubjectiveScoreString(String subjectiveScoreString) {
        this.subjectiveScoreString = subjectiveScoreString;
    }

    public String getTotalScoreString() {
        return totalScoreString;
    }

    public void setTotalScoreString(String totalScoreString) {
        this.totalScoreString = totalScoreString;
    }

    public String getSubjectiveScoreList() {
        return subjectiveScoreList;
    }

    public void setSubjectiveScoreList(String subjectiveScoreList) {
        this.subjectiveScoreList = subjectiveScoreList;
    }

    public String getCheckUserId() {
        return checkUserId;
    }

    public void setCheckUserId(String checkUserId) {
        this.checkUserId = checkUserId;
    }

    public String getCheckUserLoginName() {
        return checkUserLoginName;
    }

    public void setCheckUserLoginName(String checkUserLoginName) {
        this.checkUserLoginName = checkUserLoginName;
    }

    public String getCheckUserName() {
        return checkUserName;
    }

    public void setCheckUserName(String checkUserName) {
        this.checkUserName = checkUserName;
    }

    public Long getCheckTime() {
        return checkTime;
    }

    public void setCheckTime(Long checkTime) {
        this.checkTime = checkTime;
    }

    public List<SheetUrlDto> getSheetUrls() {
        return sheetUrls;
    }

    public void setSheetUrls(List<SheetUrlDto> sheetUrls) {
        this.sheetUrls = sheetUrls;
    }
}
