package com.qmth.teachcloud.mark.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.qmth.teachcloud.mark.dto.mark.score.StudentScoreDetailDto;
import com.qmth.teachcloud.mark.entity.MarkStudent;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 考试考生库 Mapper 接口
 * </p>
 *
 * @author xf
 * @since 2023-09-22
 */
public interface MarkStudentMapper extends BaseMapper<MarkStudent> {

    IPage<StudentScoreDetailDto> pageStudentScore(@Param("page") Page<StudentScoreDetailDto> page, @Param("examId") Long examId, @Param("paperNumber") String paperNumber, @Param("college") String college, @Param("className") String className, @Param("teacher") String teacher, @Param("filter") Integer filter, @Param("absent") Boolean absent, @Param("breach") Boolean breach, @Param("startScore") Double startScore, @Param("endScore") Double endScore, @Param("subScore") Double subScore, @Param("objectiveScoreLt") Double objectiveScoreLt, @Param("studentName") String studentName, @Param("studentCode") String studentCode);
}
