package com.qmth.teachcloud.mark.service;

import com.qmth.teachcloud.mark.dto.mark.score.StudentPaperDetailDto;
import com.qmth.teachcloud.mark.entity.ScanPaper;
import com.qmth.teachcloud.mark.entity.ScanPaperPage;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author xf
 * @since 2023-09-22
 */
public interface ScanPaperService extends IService<ScanPaper> {

	void savePaperAndPages(ScanPaper paper, List<ScanPaperPage> pages);

	int getAssignedCount(Long examId, Boolean checked);

    List<StudentPaperDetailDto> listStudentPaperDetail(Long studentId);
}
