package com.qmth.teachcloud.mark.service.impl;

import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.qmth.teachcloud.mark.entity.ScanPackage;
import com.qmth.teachcloud.mark.mapper.ScanPackageMapper;
import com.qmth.teachcloud.mark.service.ScanPackageService;

/**
 * <p>
 * 服务实现类
 * </p>
 *
 * @author xf
 * @since 2023-09-22
 */
@Service
public class ScanPackageServiceImpl extends ServiceImpl<ScanPackageMapper, ScanPackage> implements ScanPackageService {

	@Override
	public int getCount(Long examId) {
		QueryWrapper<ScanPackage> wrapper = new QueryWrapper<>();
		LambdaQueryWrapper<ScanPackage> lw = wrapper.lambda();
		lw.eq(ScanPackage::getExamId, examId);
		return baseMapper.selectCount(wrapper);
	}

}
