package com.qmth.distributed.print.business.bean.params;

import java.util.List;

/**
 * @Date: 2021/4/8.
 */
public class ExamDetailParams {

    private Long examStartTime;
    private Long examEndTime;
    private String paperNumber;
    private String courseCode;
    private String courseName;

    private Double backupCount;
    private Integer totalSubjects; // 总数量，适用于模式2
    private Long printHouseId; // 总印刷室，适用于模式2
    private String classId; // 适用班级，适用于模式2
    private List<ExamDetailList> list;

    public Long getExamStartTime() {
        return examStartTime;
    }

    public void setExamStartTime(Long examStartTime) {
        this.examStartTime = examStartTime;
    }

    public Long getExamEndTime() {
        return examEndTime;
    }

    public void setExamEndTime(Long examEndTime) {
        this.examEndTime = examEndTime;
    }

    public String getPaperNumber() {
        return paperNumber;
    }

    public void setPaperNumber(String paperNumber) {
        this.paperNumber = paperNumber;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public Double getBackupCount() {
        return backupCount;
    }

    public void setBackupCount(Double backupCount) {
        this.backupCount = backupCount;
    }

    public Integer getTotalSubjects() {
        return totalSubjects;
    }

    public void setTotalSubjects(Integer totalSubjects) {
        this.totalSubjects = totalSubjects;
    }

    public Long getPrintHouseId() {
        return printHouseId;
    }

    public void setPrintHouseId(Long printHouseId) {
        this.printHouseId = printHouseId;
    }

    public String getClassId() {
        return classId;
    }

    public void setClassId(String classId) {
        this.classId = classId;
    }

    public List<ExamDetailList> getList() {
        return list;
    }

    public void setList(List<ExamDetailList> list) {
        this.list = list;
    }
}
