package com.qmth.distributed.print.business.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.distributed.print.business.entity.ExamDetailCoursePaperType;

import java.util.List;

/**
 * <p>
 * 考务数据（考场关联科目对应卷型） 服务类
 * </p>
 *
 * @author xf
 * @since 2023-05-15
 */
public interface ExamDetailCoursePaperTypeService extends IService<ExamDetailCoursePaperType> {

    void deleteByExamDetailCourseId(Long examDetailCourseId);

    void removeByExamDetailCourseIds(List<Long> examDetailCourseIds);
}
