-----------------------3.2.5 start----------------------
alter table exam_student add UNIQUE index `unique_ticket_number_idx`(`school_id`,`ticket_number`);

INSERT INTO `sys_role_privilege` VALUES (505, 10, 832, 1);
INSERT INTO `sys_role_privilege` VALUES (506, 10, 576, 1);
INSERT INTO `sys_role_privilege` VALUES (507, 10, 833, 1);
INSERT INTO `sys_role_privilege` VALUES (508, 10, 834, 1);
INSERT INTO `sys_role_privilege` VALUES (509, 10, 835, 1);
INSERT INTO `sys_role_privilege` VALUES (510, 10, 836, 1);
INSERT INTO `sys_role_privilege` VALUES (511, 10, 837, 1);
INSERT INTO `sys_role_privilege` VALUES (512, 10, 838, 1);
INSERT INTO `sys_role_privilege` VALUES (513, 10, 839, 1);
INSERT INTO `sys_role_privilege` VALUES (514, 10, 840, 1);
INSERT INTO `sys_role_privilege` VALUES (515, 10, 841, 1);
INSERT INTO `sys_role_privilege` VALUES (516, 10, 842, 1);
INSERT INTO `sys_role_privilege` VALUES (517, 10, 650, 1);
INSERT INTO `sys_role_privilege` VALUES (518, 10, 843, 1);
INSERT INTO `sys_role_privilege` VALUES (519, 10, 844, 1);
INSERT INTO `sys_role_privilege` VALUES (520, 10, 77, 1);
INSERT INTO `sys_role_privilege` VALUES (521, 10, 845, 1);
INSERT INTO `sys_role_privilege` VALUES (522, 10, 846, 1);
INSERT INTO `sys_role_privilege` VALUES (523, 10, 847, 1);
INSERT INTO `sys_role_privilege` VALUES (524, 10, 848, 1);
INSERT INTO `sys_role_privilege` VALUES (525, 10, 849, 1);
INSERT INTO `sys_role_privilege` VALUES (526, 10, 850, 1);
INSERT INTO `sys_role_privilege` VALUES (527, 10, 851, 1);
INSERT INTO `sys_role_privilege` VALUES (528, 10, 852, 1);
INSERT INTO `sys_role_privilege` VALUES (529, 10, 853, 1);
INSERT INTO `sys_role_privilege` VALUES (530, 10, 866, 1);
INSERT INTO `sys_role_privilege` VALUES (531, 10, 830, 1);
INSERT INTO `sys_role_privilege` VALUES (532, 10, 831, 1);
INSERT INTO `sys_role_privilege` VALUES (533, 10, 575, 1);
INSERT INTO `sys_role_privilege` VALUES (534, 9, 867, 1);
INSERT INTO `sys_role_privilege` VALUES (535, 10, 832, 1);
INSERT INTO `sys_role_privilege` VALUES (536, 9, 868, 1);

DROP TABLE IF EXISTS `basic_teach_course`;
CREATE TABLE `basic_teach_course` (
                                      `id` bigint NOT NULL COMMENT '主键',
                                      `school_id` bigint DEFAULT NULL COMMENT '学校id',
                                      `org_id` bigint DEFAULT NULL COMMENT '机构id',
                                      `user_id` bigint DEFAULT NULL COMMENT '用户ID',
                                      `course_id` bigint DEFAULT NULL COMMENT '课程ID',
                                      `enable` tinyint DEFAULT '1' COMMENT '是否启用？1-是 ；0-否',
                                      `create_id` bigint DEFAULT NULL COMMENT '创建人',
                                      `create_time` bigint DEFAULT NULL COMMENT '创建时间',
                                      `update_id` bigint DEFAULT NULL COMMENT '更新人',
                                      `update_time` bigint DEFAULT NULL COMMENT '更新时间',
                                      PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='老师和课程关联表';

CREATE INDEX exam_detail_school_id_IDX USING BTREE ON exam_detail (school_id);

ALTER TABLE basic_student MODIFY COLUMN student_code varchar(100) NOT NULL COMMENT '学生编号';
ALTER TABLE basic_student MODIFY COLUMN student_name varchar(100) NOT NULL COMMENT '学生姓名';
ALTER TABLE exam_student MODIFY COLUMN student_code varchar(100) NOT NULL COMMENT '考生代码';
ALTER TABLE exam_student MODIFY COLUMN student_name varchar(100) NOT NULL COMMENT '考生姓名';
ALTER TABLE sys_user MODIFY COLUMN code varchar(100) NULL COMMENT '工号';
ALTER TABLE basic_course MODIFY COLUMN code varchar(100) NOT NULL COMMENT '课程编码';
ALTER TABLE sys_user MODIFY COLUMN mobile_number varchar(30) NULL COMMENT '手机号';
-----------------------3.2.5 end----------------------

-----------------------3.2.6 start 需求 2023-06-13----------------------
ALTER TABLE t_f_flow_log ADD task_id BIGINT NULL COMMENT '流程节点id';

UPDATE sys_config SET config_value='500' WHERE config_key='thread.pool.core.size';
UPDATE sys_config SET config_value='true' WHERE config_key='custom.thread.pool.core.size';

INSERT INTO `sys_config` VALUES (401752651068346368, 135, NULL, 'open.flow.message.push', '是否开启消息推送', 'true', NULL, 1, 5, 1, 1686726096298, NULL, 1686726096298);
INSERT INTO `sys_config` VALUES (401752651068346369, 135, NULL, 'flow.message.type', '消息类型', 'OFF_STANDARD', NULL, 1, 6, 1, 1686726096303, NULL, 1686726096303);
INSERT INTO `sys_config` VALUES (401752651068346370, 135, NULL, 'mq.host.url', '消息中心地址', 'http://exam.gdpu.edu.cn:7400?code=gdpu', NULL, 1, 7, 1, 1686726096309, NULL, 1686726096309);

-----------------------3.2.7 start 优化需求 2023-06-20----------------------
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(880, '重启流程', '/api/admin/exam/task/restart', 'URL', 42, 9, 'AUTH', NULL, 1, 1, 1);
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(881, '打回', 'Restart', 'LINK', 42, 6, 'AUTH', '880', 1, 0, 1);