package com.qmth.distributed.print.api.mark;


import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import com.qmth.boot.api.constant.ApiConstant;
import com.qmth.teachcloud.common.contant.SystemConstant;
import com.qmth.teachcloud.mark.bean.answercard.AnswerCardVo;
import com.qmth.teachcloud.mark.service.ScanAnswerCardService;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

/**
 * <p>
 * 题卡卡格式表 前端控制器
 * </p>
 *
 * @author xf
 * @since 2023-09-22
 */
@Api(tags = "扫描-卡格式")
@RestController
@RequestMapping(ApiConstant.DEFAULT_URI_PREFIX + SystemConstant.PREFIX_URL_SCAN + "/answer/card")
public class ScanAnswerCardController {
	
	@Autowired
	private ScanAnswerCardService scanAnswerCardService;
	
	@ApiOperation(value = "答题卡卡格式列表")
    @RequestMapping(value = "list", method = RequestMethod.POST)
    public List<AnswerCardVo> cardList(@RequestParam Long examId,@RequestParam(required = false) String coursePaperId) {
        return scanAnswerCardService.cardList(examId,coursePaperId);
    }
}
