package com.qmth.teachcloud.common.bean.params.mark.setting;

import com.qmth.teachcloud.common.bean.dto.mark.MarkUser;

import java.io.Serializable;
import java.util.List;

/**
 * 分班阅保存请求参数
 */
public class MarkClassUserParams implements Serializable {

    private Long examId;
    private String paperNumber;
    private String className;
    private Integer groupNumber;
    private List<MarkUser> classMarkerList;

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public String getPaperNumber() {
        return paperNumber;
    }

    public void setPaperNumber(String paperNumber) {
        this.paperNumber = paperNumber;
    }

    public String getClassName() {
        return className;
    }

    public void setClassName(String className) {
        this.className = className;
    }

    public Integer getGroupNumber() {
        return groupNumber;
    }

    public void setGroupNumber(Integer groupNumber) {
        this.groupNumber = groupNumber;
    }

    public List<MarkUser> getClassMarkerList() {
        return classMarkerList;
    }

    public void setClassMarkerList(List<MarkUser> classMarkerList) {
        this.classMarkerList = classMarkerList;
    }
}
