package com.qmth.teachcloud.common.enums;

/**
 * 模板下载类型
 */
public enum ImportTemplateEnum {

    TEMPLATE_ORG("org.xlsx", "组织架构导入模板.xlsx"),
    TEMPLATE_USER("user.xlsx", "用户导入模板.xlsx"),
    TEMPLATE_STUDENT("student.xlsx", "学生导入模板.xlsx"),
    TEMPLATE_COURSE("course.xlsx", "课程导入模板.xlsx"),
    TEMPLATE_TEACH_CLASS("teachClass.xlsx", "教学班学生导入模板.xlsx"),
    TEMPLATE_TEACH_COURSE("teachCourse.xlsx", "教学课程导入模板.xlsx"),
    TEMPLATE_TEACH_TEACHER("teachTeacher.xlsx", "教师团队导入模板.xlsx"),
    TEMPLATE_EXAM_TASK("examTask.xlsx", "命题任务导入模板.xlsx"),
    TEMPLATE_EXAM_TASK_STUDENT("examTaskStudent.xlsx", "命题任务学生导入模板.xlsx"),
    //    TEMPLATE_EXAM_STUDENT("","考务数据导入模板.xlsx"),// 不需要，有固定接口
    TEMPLATE_EXAM_STATISTICS("examStatistics.xlsx", "命题计划导入模板.xlsx");

    ImportTemplateEnum(String templateName, String fileName) {
        this.templateName = templateName;
        this.fileName = fileName;
    }

    private final String templateName;
    private final String fileName;

    public String getTemplateName() {
        return templateName;
    }

    public String getFileName() {
        return fileName;
    }
}
