package com.qmth.teachcloud.mark.service;

import com.qmth.teachcloud.mark.entity.MarkGroup;
import com.qmth.teachcloud.mark.entity.MarkTask;
import com.qmth.teachcloud.mark.entity.MarkUserGroup;
import com.qmth.teachcloud.mark.params.MarkResult;

/**
 * <p>
 * 评卷相关 服务类
 */
public interface MarkService {

    int applyCurrentCount(MarkGroup markGroup);

    void releaseByMarkUserGroup(MarkUserGroup markUserGroup);

    int applyCurrentCount(MarkGroup markGroup, Long markUserGroupId);

    void resetMarker(MarkUserGroup markUserGroup);

    void updateMarkedCount(Long examId, String paperNumber, Integer groupNumber);

    boolean rejectMarkTask(MarkTask markTask, Long userId);

    String getGroupKey(MarkGroup markGroup);

    void updateQuality(MarkUserGroup markUserGroup);

    boolean needUpdateQuality(MarkUserGroup marker, int expireMinutes);

    void processArbitrate(MarkResult markResult, Long userId);

    void checkStudentSubjective(Long studentId, long groupCount, long unGroupQuestionCount);
}
