package com.qmth.teachcloud.mark.service;

import com.qmth.teachcloud.mark.entity.MarkSubjectiveScore;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;
import java.util.Set;

/**
 * <p>
 * 主观题得分明细表 服务类
 * </p>
 *
 * @author xf
 * @since 2023-09-22
 */
public interface MarkSubjectiveScoreService extends IService<MarkSubjectiveScore> {

    List<MarkSubjectiveScore> listByStudentIdAndGroupNumber(Long studentId, Integer groupNumber);

    Set<Integer> listMainNumberByStudentIdAndUncalculate(Long studentId, boolean uncalculate);

    List<MarkSubjectiveScore> listByStudentIdAndUncalculate(Long studentId, boolean uncalculate);

}
